com.pivotal.gemfirexd.internal.client.net

## Interface ConnectionRequestInterface

All Known Implementing Classes:
  NetConnectionRequest, NetPackageRequest, NetResultSetRequest, NetStatementRequest, NetXAConnectionRequest

    public interface ConnectionRequestInterface

### Method Summary

Methods
`void` `writeCommitSubstitute(NetConnection connection)`
`void` `writeLocalCommit(NetConnection connection)`
`void` `writeLocalRollback(NetConnection connection)`
`void` `writeLocalXACommit(NetConnection connection)`
`void` `writeLocalXARollback(NetConnection connection)`
`void` `writeLocalXAStart(NetConnection connection)`

### Method Detail

#### writeCommitSubstitute

    void writeCommitSubstitute(NetConnection connection)
                               throws SqlException

Throws:
  `SqlException`

#### writeLocalCommit

    void writeLocalCommit(NetConnection connection)
                          throws SqlException

Throws:
  `SqlException`

#### writeLocalRollback

    void writeLocalRollback(NetConnection connection)
                            throws SqlException

Throws:
  `SqlException`

#### writeLocalXAStart

    void writeLocalXAStart(NetConnection connection)
                           throws SqlException

Throws:
  `SqlException`

#### writeLocalXACommit

    void writeLocalXACommit(NetConnection connection)
                            throws SqlException

Throws:
  `SqlException`

#### writeLocalXARollback

    void writeLocalXARollback(NetConnection connection)
                              throws SqlException

Throws:
  `SqlException`